using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace SlnMesnac.WPF.Page.WindowPage
{
    /// <summary>
    /// SelectWindow.xaml 的交互逻辑
    /// </summary>
    public partial class SelectWindow : Window
    {
        /// <summary>
        /// 选择结果， 0-未选择   1-继续一键启动     2-激活或创建空托盘入收集架任务
        /// </summary>
        public int SelectIndex { get; set; } = 0;

        public SelectWindow()
        {
            InitializeComponent();
        }


        private void Continue_Click(object sender, RoutedEventArgs e)
        {
            SelectIndex = 1;
            this.Close();
        }

        private void MoveTray_Click(object sender, RoutedEventArgs e)
        {
            SelectIndex = 2;
            this.Close();
        }


        private void Window_StateChanged(object sender, EventArgs e)
        {
            if (this.WindowState == WindowState.Minimized)
            {
                this.Close(); // 当窗口最小化时关闭窗口
            }
        }

    }
}
